#pragma once

// ViewersDoc document

#include "..\\global\\iviewer.h"
class CBlockItem;

#include <map>

typedef struct
{
	IViewer *pViewer;
	VIEWERDATA vdData;
	CBlockItem* pBlock;
	DWORD dwPort;
	BOOL bOutput;
}VIEWERSETDATA, *LPVIEWERSETDATA;

typedef struct {
	CString strDescription;
	CString strName;
	CREATEPROC cp;
	HMODULE hModule;
}VIEWERITEM, *LPVIEWERITEM;

class CViewersDoc : public CDocument
{
	DECLARE_DYNCREATE(CViewersDoc)

	friend class CMainFrame;

public:
	CViewersDoc();
	virtual ~CViewersDoc();
#ifndef _WIN32_WCE
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
#endif
#ifdef _DEBUG
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
	virtual BOOL OnNewDocument();
	DECLARE_MESSAGE_MAP()
public:
	std::map<CString ,VIEWERITEM> m_mapViewers;
//	afx_msg void OnProcessStart();
//	afx_msg void OnUpdateProcessStart(CCmdUI *pCmdUI);
};
